Page MenuHomePhabricator

WikiEditor's Search and Replace icon is very similar to VisualEditor's "Switch to visual editing button", which is right next to it
Closed, ResolvedPublic1 Story Points

Description

WikiEditor's "Search and replace" icon is very similar to VisualEditor's "Switch to visual editing button"—both have a pen. They are also right next to each other when WikiEditor's "Advanced" bar is open.

See the screenshot:

I use both visual editing and source editing, and I use both of these WikeEditor's button frequently, and I confuse them all the time.

It would be nice to separate them visually. Changing VisualEditor icon from a pen to something else (an eye?) would be nice, and moving one of the buttons to a different location is a possibility as well.

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedEsanders
OpenNone
OpenNone
ResolvedJules78120
OpenNone
ResolvedDannyH
OpenNone
OpenEsanders
OpenNone
OpenEsanders
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders

Event Timeline

Amire80 created this task.Aug 21 2016, 9:07 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 21 2016, 9:07 AM
Jdforrester-WMF triaged this task as Low priority.Aug 22 2016, 6:10 PM
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF moved this task from To Triage to TR1: Releases on the VisualEditor board.
Ltrlg added a subscriber: Ltrlg.Aug 23 2016, 6:10 AM
Elitre added a subscriber: Elitre.Aug 29 2016, 4:14 PM
Deskana moved this task from TR1: Releases to Freezer on the VisualEditor board.Oct 12 2017, 2:06 PM
Deskana closed this task as Declined.Feb 23 2018, 4:25 PM
Deskana lowered the priority of this task from Low to Lowest.
Deskana added a subscriber: Deskana.

I highly doubt that either of these icons will be changed.

Amire80 reopened this task as Open.Mar 7 2018, 1:15 PM

The question is not so much whether they will be changed, but whether they should be changed. It's a design question.

"Declined" to me means that you think that they shouldn't be changed.

If the idea is valid, but low-priority, this should remain open.

The question is not so much whether they will be changed, but whether they should be changed. It's a design question.

I don't think keeping tasks around for every possible thing that could or should be done is particularly useful, especially if it seems incredibly unlikely anyone will ever do them.

I don't think either of us have much interest in revert warring on the status of this particular task, so we can leave it at that.

Elitre added a comment.Mar 8 2018, 5:49 PM

Would this task be ok for projects like GCI, or does it need "our" design people input?

Change 424036 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/WikiEditor@master] Convert remaining tools to OOUI

https://gerrit.wikimedia.org/r/424036

Change 424036 merged by jenkins-bot:
[mediawiki/extensions/WikiEditor@master] Convert remaining tools to OOUI

https://gerrit.wikimedia.org/r/424036

Deskana closed this task as Resolved.Apr 16 2018, 2:06 PM
happy5214 moved this task from Backlog to Closed on the WikiEditor board.Aug 4 2019, 11:35 AM